<template name="venueDetailsPage">
  <div class="container mw-md">
    {{#if state 'editing'}}
      {{> venueEdit this.venue}}
    {{else}}
      <div class="page-component">
        <div class="details-header location-details-header">
          {{#if this.venue.picture}}
            <img src="{{this.venue.picture}}">
          {{/if}}
          <h3>
            {{this.venue.name}}
            {{#if this.venue.short}}
              <small>{{this.venue.short}}</small>
            {{/if}}
          </h3>
          <p>{{{this.venue.description}}}</p>
        </div>

        <div class="details-body location-details-body">
          <div class="details-content">
            <div class="row">
              <div class="{{#if this.venue.loc}}col-md-7{{else}}col{{/if}}">
                {{#if this.venue.editor}}
                  <p>
                    <span
                          class="venue-property-title">{{i18n 'location.details.hosts' 'Hosts:'}}</span>
                  <ul class='hosts'>
                    <li>
                      {{> profileLink userId=this.venue.editor}}
                      {{contribution this.venue.editor}}
                    </li>
                  </ul>
                  </p>
                {{/if}}
                {{#if this.venue.address}}
                  <p>
                    <span class="venue-property-title">
                      {{i18n 'venue.details.address' 'Address:'}}
                    </span>
                    {{this.venue.address}}
                  </p>
                {{/if}}
                {{#if this.venue.route}}
                  <p>
                    <span class="venue-property-title">
                      {{i18n 'venue.details.route' 'How to go there:'}}
                    </span>
                    <br>
                    <span style="white-space: pre-line;">{{this.venue.route}}</span>
                  </p>
                {{/if}}
                {{#if this.venue.maxPeople}}
                  <p>
                    <span class="venue-property-title">
                      {{i18n 'venue.details.max_ppl' 'Maximum People:'}}
                    </span>
                    {{this.venue.maxPeople}}
                  </p>
                {{/if}}
                {{#if this.venue.maxWorkplaces}}
                  <p>
                    <span class="venue-property-title">
                      {{i18n 'venue.details.max_workplaces' 'Maximum Workplaces:'}}
                    </span>
                    {{this.venue.maxWorkplaces}}
                  </p>
                {{/if}}
                {{#if facilityNames this.venue}}
                  <p>
                    <span class="venue-property-title">
                      {{i18n 'venue.details.availableInfrastructure' 'Available infrastructure:'}}
                    </span>
                  <ul>
                    {{#each facilityName in (facilityNames this.venue)}}
                      <li>{{facilitiesDisplay facilityName}}</li>
                    {{/each}}
                  </ul>
                  </p>
                {{/if}}
                {{#if this.venue.otherFacilities}}
                  <p>
                    <span class="venue-property-title">
                      {{i18n 'venue.details.additionalEquipment' 'Additional equipment:'}}
                    </span>
                    <br>
                    {{this.venue.otherFacilities}}
                  </p>
                {{/if}}
              </div>
              {{#if this.venue.loc}}
                <div class="col-md-5">
                  <div class="details-map">
                    {{> map markers=instance.markers}}
                    <div class="coordinates">
                      {{i18n 'venueDetails.coordinates' 'Coordinates:'}}
                      {{locationFormat this.venue.loc}}
                    </div>
                  </div>
                </div>
              {{/if}}
            </div>
          </div>
        </div>
        {{#if mayEdit this.venue}}
          <div class="actions">
            {{> buttonEdit event="js-venue-edit"}}
            {{#unless state 'verifyDelete'}}
              {{> buttonDelete event="js-venue-delete"}}
            {{/unless}}
          </div>
          {{#if state 'verifyDelete'}}
            {{> deleteConfirmDialog deleteConfirmDialogAttr}}
          {{/if}}
        {{/if}}
      </div>
    {{/if}}
    {{#if upcomingEvents}}
      <div class="page-component">
        <h2>{{i18n 'venue.details.upcomingEvents' "Upcoming events at this venue:"}}</h2>
        {{> eventList dataEvents=upcomingEvents withDate=true withVenue=false}}
        {{#if hasMoreUpcomingEvents}}
          <div class="clearfix"></div>
          <button type="button" class="btn btn-add js-show-more-upcoming-events">
            {{i18n '_button.more'}}
          </button>
        {{/if}}
      </div>
    {{/if}}
    {{#if pastEvents}}
      <div class="page-component">
        <h2>{{i18n 'venue.details.pastEvents' "Past events:"}}</h2>
        {{> eventList dataEvents=pastEvents withDate=true withVenue=false}}
        {{#if hasMorePastEvents}}
          <div class="clearfix"></div>
          <button type="button" class="btn btn-add js-show-more-past-events">
            {{i18n '_button.more'}}
          </button>
        {{/if}}
      </div>
    {{/if}}
  </div>
</template>

<template name="venueDeleteConfirmDialog">
  <div class="venue-delete-confirm">
    <p>{{i18n 'venue.reallydelete' 'Please confirm that you would like to delete this venue. This cannot be undone.'}}
    </p>
    <div class="form-actions">
      {{> buttonDeleteConfirm
				event="js-venue-delete-confirm"
				textIdle=(i18n 'venue.detail.remove' 'Remove this venue')
				textBusy=(i18n 'venue.detail.remove.busy' 'Deleting venue…')
			}}
      {{> buttonCancel event="js-venue-delete-cancel"}}
    </div>
  </div>
</template>

<template name="venueDynamicTranslations">
  This template holds translation strings that are constructed dynamically in this component

  {{i18n 'venue.facility.projector' 'Projector'}}
  {{i18n 'venue.facility.screen' 'Screen'}}
  {{i18n 'venue.facility.audio' 'Audio System'}}
  {{i18n 'venue.facility.blackboard' 'Blackboard'}}
  {{i18n 'venue.facility.whiteboard' 'Whiteboard'}}
  {{i18n 'venue.facility.flipchart' 'Flipchart'}}
  {{i18n 'venue.facility.wifi' 'Wi-Fi'}}
  {{i18n 'venue.facility.kitchen' 'Kitchen'}}
  {{i18n 'venue.facility.wheelchairs' 'Accessible by wheelchair'}}
</template>
